Bug 466459 - IBM LS21 power cycles after loading kernel and initrd in F10 beta
IBM LS21 power cycles after loading kernel and initrd in F10 beta
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10KernelBlocker
  Show dependency treegraph
 
Reported: 2008-10-10 07:18 EDT by Patrick C. F. Ernzer
Modified: 2008-10-15 08:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-15 08:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-10-10 07:18:10 EDT
Description of problem:
A IBM LS21 blade (part no: 40K8461  FRU no: 39R9203) will spontaneously power cycle after loading the kernel from the Fedora 10 beta install media. Same effect with rawhide

Version-Release number of selected component (if applicable):
Fedora 10 beta

How reproducible:
always

Steps to Reproduce:
1. Use Serial over LAN in an attempt to capture logs (it also fails when not using SOL)
2. PXE boot
3. select a target in the PXE menu that is:
f10betax86_64/vmlinuz initrd=f10betax86_64/initrd.img method=ftp://192.10.10.2
50/pub/Fedora/release/test/10-Beta/Fedora/x86_64/os console=ttyS0,19200

  
Actual results:
machine gets as far as this
Loading f10betax86_64/vmlinuz...............................................    
Loading f10betax86_64/initrd.img................................................
................................................................................
................................................................................
Probing EDD (edd=off to disable)... ok

and then s[pontaneously reboots. If I add edd=off to the kernel line, the only difference is that the Probng EDD line is not printed before it power cycles.

Expected results:
machine boots so I can install it.

Additional info:
Same result with yesterday's rawhide (my mirror lags by a day).
Same result with combinations of the following options
  text
  nomodeset
  vga=0x318

These blades work just fine (both install and using) with Fedora 8, Fedora 9 RHEL4 and RHEL5
Comment 1 Patrick C. F. Ernzer 2008-10-10 08:00:03 EDT
same failure if I install F9 on an LS21 (which works fine), then configure a rawhide repo and yup update kernel to 2.6.27-0.408.rc9.git1.fc10
machine will load kernel and initrd (display dots) and then reboot
Comment 2 Dave Jones 2008-10-10 10:04:09 EDT
can you boot with initcall_debug and see if that prints anything exciting ?
you may also need earlyconsole=ttyS0
Comment 3 Patrick C. F. Ernzer 2008-10-13 08:17:57 EDT
nothing more on the installer kernel:
f10betax86_64/vmlinuz initrd=f10betax86_64/initrd.img method=ftp://192.10.10.2
50/pub/Fedora/release/test/10-Beta/Fedora/x86_64/os console=ttyS0,115200   initc
all_debug earlyconsole=ttyS0                                                    
                                                                                
                                                                                
                                                                                
Loading f10betax86_64/vmlinuz...............................................    
Loading f10betax86_64/initrd.img................................................
................................................................................
................................................................................
............................................................ready.              
Probing EDD (edd=off to disable)... ok


and on the F9 install with kernel-2.6.27-0.408.rc9.git1.fc10
root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.27-0.408.rc9.git1.fc10.x86_64 ro root=/dev/VolGroup00/LogVo
l00 initcall_debug earlyconsole=ttyS0 console=ttyS0,115200
   [Linux-bzImage, setup=0x3000, size=0x2a7040]
initrd /initrd-2.6.27-0.408.rc9.git1.fc10.x86_64.img
   [Linux-initrd @ 0x37c8e000, 0x36159d bytes]

Probing EDD (edd=off to disable)... ok


and in both cases the blade just power-cycles after the 'ok'

as before, adding edd=off does not help, blade still power cycles, I just do not get the Probing EDD line before it does.

root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.27-0.408.rc9.git1.fc10.x86_64 ro root=/dev/VolGroup00/LogVo
l00 initcall_debug earlyconsole=ttyS0 console=ttyS0,115200 edd=off
   [Linux-bzImage, setup=0x3000, size=0x2a7040]
initrd /initrd-2.6.27-0.408.rc9.git1.fc10.x86_64.img
   [Linux-initrd @ 0x37c8e000, 0x36159d bytes]
Comment 5 Patrick C. F. Ernzer 2008-10-15 06:28:06 EDT
marginal change after BIOS update was applied;
- Newest BIOS v1.08 (old was v1.01)
- Newest BMC firmware v1.26 (old was v1.13)

Now the blade does not power cycle any more, but it also does not proceed. I see the same output as before on serial console and on the VGA console it stays at
Kernel alive
Kernel really alive
(it may have displayed these also before but as they are only on VGA I would not have seen them if they came immediately before the power cycle)

So, all in all we still have an inability to boot x86_64 F10 beta for4 install. How can I help to make this bug move forward?
Comment 6 Patrick C. F. Ernzer 2008-10-15 08:40:00 EDT
(In reply to comment #5)
> marginal change after BIOS update was applied;

agh, forgot to load setup defaults as one always should do after BIOS upgrade. Doing that makes the boot failure go away.

closing NOTABUG as this problem is solved by a clean BIOS update
(will have to open a new bug as I get a but further now but not yet complete install, but at least it does boot now)

Note You need to log in before you can comment on or make changes to this bug.